class Input
  constructor: ->
    @keymap =
      up: [38, 87]
      left: [37, 65]
      right: [39, 68]

    @pressedKeys = {}
    @cursorPosition = {x: 0, y: 0}

  onKeyDown: (event) ->
    @pressedKeys[event.keyCode] = true

  onKeyUp: (event) ->
    delete @pressedKeys[event.keyCode]

  onMouseMove: (event) ->
    @cursorPosition = {x: event.pageX, y: event.pageY}

  keyPressed: (key) ->
    for keyCode in @keymap[key]
      return true if @pressedKeys[keyCode]
