# Deathmatch.io

This is a early version of a multiplayer browser action game using **WebGL** and HTML5 **WebSockets**. Please get in touch with me I strongly appreciate your help.

### Development

The game is written in [CoffeeScript](http://jashkenas.github.com/coffee-script/). You can use the following command to compile the source files:

```
$ coffee -cj public/client.js public/src
```

To run the client you need to setup a web server like [Pow](http://pow.cx/), Apache or Nginx.

```
$ cd ~/.pow
$ ln -s /path/to/deathmatch.io
```

Now you can visit `http://deathmatch.io.dev/`.

### Browser Compatibility

The game requires a WebGL and WebSocket compatible browser and works best with Firefox 14+ or Chrome 20+.

![Screenshot](http://mj.io/assets/articles/02.png)
